PHP Manual
Prev |  | Next

# ora_numcols

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_numcols -- Returns the number of columns

## Description

int ora_numcols ( resource cursor )

Returns the number of columns in a result. It only returns meaningful values after a parse/exec/fetch sequence.

## Parameters

`cursor`

  An Oracle cursor, opened with ora_open().

## Return Values

Returns the number of columns as an integer, or `FALSE` on error.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_num_fields()

## See Also

ora_parse()
ora_exec()
ora_fetch()
ora_do()

Prev | Home | Next
ora_logon | Up | ora_numrows